//
// ma_gl_draw_axes.c
//
// 99 - 01 - 24
//
static char version[] =
"$Id: aux_draw_axes.c,v 1.1 1999/10/09 16:11:05 Fusz Exp $";

#include "oAux_exp.h"


void auxDrawAxes()
{

    float axes_length = 2.0f;
    float side = 0.2f;
    float behind = 0.4f;
    
    // x-Achse
    glColor3f( 0.0f, 1.0f, 0.0f);
    glBegin(GL_LINES);
    {
        glVertex3f(        0.0f, 0.0f, 0.0f);
        glVertex3f( axes_length, 0.0f, 0.0f);

        glVertex3f( axes_length, 0.0f, 0.0f);
        glVertex3f( axes_length-behind, 0.0f+side, 0.0f);

        glVertex3f( axes_length, 0.0f, 0.0f);
        glVertex3f( axes_length-behind, 0.0f-side, 0.0f);

        glVertex3f( axes_length, 0.0f, 0.0f);
        glVertex3f( axes_length-behind, 0.0f, 0.0f+side);

        glVertex3f( axes_length, 0.0f, 0.0f);
        glVertex3f( axes_length-behind, 0.0f, 0.0f-side);
    }
    glEnd();
	
    // y-Axe
    glColor3f( 0.0f, 0.0f, 1.0f);
    glBegin(GL_LINES);
    {
        glVertex3f( 0.0f,        0.0f, 0.0f);
        glVertex3f( 0.0f, axes_length, 0.0f);

        glVertex3f( 0.0f,      axes_length,      0.0f);
        glVertex3f( 0.0f+side, axes_length-behind, 0.0f);

        glVertex3f( 0.0f,      axes_length,      0.0f);
        glVertex3f( 0.0f-side, axes_length-behind, 0.0f);

        glVertex3f( 0.0f,      axes_length,      0.0f);
        glVertex3f( 0.0f,      axes_length-behind, 0.0f+side);

        glVertex3f( 0.0f,      axes_length,      0.0f);
        glVertex3f( 0.0f,      axes_length-behind, 0.0f-side);

    }
    glEnd();
	
    // z-Axe
    glColor3f( 1.0f, 0.0f, 0.0f);
    glBegin(GL_LINES);
    {
        glVertex3f( 0.0f, 0.0f,        0.0f);
        glVertex3f( 0.0f, 0.0f, axes_length);

        glVertex3f( 0.0f, 0.0f, axes_length);
        glVertex3f( 0.0f+side, 0.0f, axes_length-behind);

        glVertex3f( 0.0f, 0.0f, axes_length);
        glVertex3f( 0.0f-side, 0.0f, axes_length-behind);

        glVertex3f( 0.0f, 0.0f, axes_length);
        glVertex3f( 0.0f, 0.0f+side, axes_length-behind);

        glVertex3f( 0.0f, 0.0f, axes_length);
        glVertex3f( 0.0f, 0.0f-side, axes_length-behind);
    }
    glEnd();

    glColor3f( 1.0f, 1.0f, 1.0f);
}    










