/*
 * first_foos.c
 */
#include "first.h"

#include "First_Exp.h"

/*
 * Internel Function, called by firstDisplayString()
 *
 * This foo inserts "string" in feld[]. The a
 */

int firstPutString( char *string )
{
    //
    // Global Vars
    //
    // int tindex     | W / - |
    // char **tline      | W / R |
    // HWND hwndTextFenster |  / R |
    //

    int i;
    
    int re = 0;

    //-------------------------------------------------------------

    //
    // Calculate the index of the Array-element of >>tlines<<
    // in which the parameter >>string<< is to copy
    //
    tindex++;
    if( tindex == NUM_MESSAGES )
    {
        tindex = 0;
    }

    for(i = 0; i < MESSAGE_LENGTH; i++ )
    {
        (tlines[ tindex ])[i] = string[i];
    }

    
    iVscrollPos = NUM_MESSAGES-1;

    InvalidateRect( hwndFirstFenster, NULL, TRUE );

    return re;
}

/*
 * For C-foos
 *
 * The Number of the Message and
 * the message 'string' is copied in a 70 char long string.
 * Trailing blanks are added.
 * firstOut displays allways 70 chars of a string.
 * This solves some problems from
 * the scrolling.
 *
 * For the number 70 the macro MESSAGE_LENGTH is used.
 */



int firstShowMessage( const char *string )
{
    char copy[ MESSAGE_LENGTH ], line[ MESSAGE_LENGTH ];
    int i;
    
    int re = 0;

    //--------------------------------------------------------
    
    sprintf(line, "%d : %s", number++, string);
    
    for( i = 0; line[i] && i < MESSAGE_LENGTH; i++ )
    {
        copy[i] = line[i];
    }

    for( ; i < MESSAGE_LENGTH; i++ )
    {
        copy[i] = ' ';
    }
    firstPutString( copy );

    return re;
}


/*
 * This Foo is called by Fortran routines
 */

void SHOWMESSAGE( char *string, int laenge )
{
    int i;
    char copy[MESSAGE_LENGTH], line[ MESSAGE_LENGTH ];
    
    //-------------------------------------------------

    sprintf(line, "%d : %s", number++, string);
    
    /*
     * Check the real length of the message
     */
    for( i = laenge-1; string[i] == ' '; i-- );

    laenge = i+1;

    /*
     * Copy the used part of 'string' in copy
     */
    for( i = 0; i < laenge; i++ )
    {
        copy[i] = string[i];
    }
    copy[ i ] = (char)0;

    strncat( line, copy, MESSAGE_LENGTH - strlen(line) );
    
    /*
     * Fill the last part of copy with blanks
     */
    for( i = strlen(line); i > MESSAGE_LENGTH; i++ )
    {
        line[ i ] = ' ';
    }



    

    firstPutString( line );
}
