/*
 * first_v_scroll.c
 */

#include "first.h"

int firstCalcVpos( int arg );

int firstVscroll( WPARAM wParam )
{
    //
    // Global Vars
    //
    // int iVscrollPos      | - / r |
    // int tcyBuffer        | - / r |
    //

    int command;
    
    int re = 0;

    //--------------------------------------------------------------
    command = LOWORD( wParam );
    
    switch( command  )
    {
        case SB_LINEUP:
            // wndInsertString("Scroll  1 Line Up");
            firstCalcVpos( -1 );
            break;
            
        case SB_LINEDOWN:
            // wndInsertString("Scroll  1 Line Dow");
            firstCalcVpos( +1 );

            break;

        case SB_PAGEUP:
            // wndInsertString("Scroll  1 PAGE Up");
            firstCalcVpos( -tcyBuffer );

            break;

        case SB_PAGEDOWN:
            // wndInsertString("Scroll  1 PAGE Down");
            firstCalcVpos( tcyBuffer );

            break;

        case SB_THUMBPOSITION:
            // sprintf( stdMessage, "Thumposition %d", HIWORD( wParam ) );
            // wndInsertString( stdMessage );

            firstCalcVpos( HIWORD( wParam ) - iVscrollPos );
            
            break;

            
        default:
            break;
    } // switch( Param )
            
    return re;
}

int firstCalcVpos( int arg )
{
    //
    // Global Vars
    //
    // int iVscrollPos      | w / r |
    // int tcyBuffer        | - / r |
    // in tindex            | - / r |
    // HWND hwndFirstFenster | - / r |
    //

    int nextPos;
    
    int re = 0;

    //------------------------------------------------------------------------
    
    // sprintf( stdMessage, "Nu %d  Di %d", number,
    //             number - (NUM_MESSAGES - iVscrollPos) );
    //    wndInsertString( stdMessage );

    nextPos = iVscrollPos + arg;

    
    if(  ( nextPos > tcyBuffer)
         &&
         ( nextPos < NUM_MESSAGES-1 )
         &&
         ( (number - (NUM_MESSAGES - nextPos) ) > tcyBuffer  )  )
    {
        // sprintf( stdMessage, "V %d  B %d", iVscrollPos, tcyBuffer );
        // wndInsertString( stdMessage );

        iVscrollPos = nextPos;
    }
    else
    {
        if( arg < 0 )
        {
            if( number > NUM_MESSAGES )
            {
                iVscrollPos = tcyBuffer;
            }
            else
            {
                iVscrollPos = min( tcyBuffer +  (NUM_MESSAGES-1) - tindex -1,
                                   NUM_MESSAGES - 1 );
            }
        }
        else 
        {
            iVscrollPos = NUM_MESSAGES-1;
        }
        
    }

    InvalidateRect( hwndFirstFenster, NULL, TRUE );

    return re;
}
