//
// oTkMouse.h
//
// 99 - 10 - 05
//

#include <stdio.h>
#include <windows.h>
#include <GL/gl.h>
#include "oFooTypes.h"



#define	TK_LEFTBUTTON		1
#define	TK_RIGHTBUTTON		2
#define	TK_MIDDLEBUTTON		4

/*
// table for the mouse-foos
*/

struct MouseTableStruct
{
    int mouseField;  /* Button of the mouse */       
    AUXMOUSEPROC MouseFunc; /*Function to call */
};

extern struct MouseTableStruct
         mouseDownTable[], mouseUpTable[], mouseLocTable[];

/*
 * counting the entries in the tables above
 */
extern int mouseDownTableCount;
extern int mouseUpTableCount;
extern int mouseLocTableCount;

/*
 * Pointers to store the Mouse-Functions called in the Window Porc.
 */
extern GLenum (*MouseDownFunc)(int, int, GLenum);
extern GLenum (*MouseUpFunc)(int, int, GLenum);
extern GLenum (*MouseMoveFunc)(int, int, GLenum);

/*
 * Prototypes of the Mouse-Foos
 * These Foo call the user-defined foos, stored in the arrays
 * mouseDownTable[], mouseUpTable[], mouseLocTable[]
 */
GLenum InsMouseUp(int x, int y, GLenum button);
GLenum InsMouseLoc(int x, int y, GLenum button);
GLenum InsMouseDown(int x, int y, GLenum button);


void tkMouseDownFunc(GLenum (*)(int, int, GLenum));
void tkMouseUpFunc(GLenum (*)(int, int, GLenum));
void tkMouseMoveFunc(GLenum (*)(int, int, GLenum));

void tkGetMouseLoc(int *, int *);
