#include "ts_header.h"

static char version[] =
"$Id: ts_do_select.c,v 1.1 1999/11/21 19:36:48 Fusz Exp $";

GLint DoSelect(GLint x, GLint y)
{
    /*
     * global vars
     *
     * GLuint  tsSelectBuf[]
     * GLint tsWindW, tsWindH
     * GLint   tsVp[]
     * float tsZoom
     * float tsZRotation
     * GLuint  tsSelectBuf[]
     */
    
    GLint hits;

    /*-----------------------------------------------------------*/
    
    glSelectBuffer( MAXSELECT, tsSelectBuf );
    (void)glRenderMode( GL_SELECT );
    glInitNames();
    glPushName( (GLuint)~0 );

    glPushMatrix();

    glViewport(0, 0, tsWindW, tsWindH);
    glGetIntegerv(GL_VIEWPORT, tsVp);

    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluPickMatrix(x, tsWindH-y, 4, 4, tsVp);
    gluOrtho2D(-175, 175, -175, 175);

    glMatrixMode(GL_MODELVIEW);

    glClearColor(0.0, 0.0, 0.0, 0.0);
    glClear(GL_COLOR_BUFFER_BIT);

    glScalef(tsZoom, tsZoom, tsZoom);
    glRotatef( tsZRotation, 0, 0, 1);

    Render(GL_SELECT);

    glPopMatrix();
    
    hits = glRenderMode(GL_RENDER); 
    if (hits <= 0)
    {
        return -1;
    }

    return tsSelectBuf[(hits-1)*4+3];
}

